# ClarityAbi | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- ClarityAbi

## Index

### Properties

- functions
- fungible_tokens
- maps
- non_fungible_tokens
- variables

## Properties

### functions

functions: ClarityAbiFunction []

- Defined in packages/transactions/src/contract-abi.ts:268

### fungible_tokens

fungible_tokens: ClarityAbiTypeFungibleToken []

- Defined in packages/transactions/src/contract-abi.ts:271

### maps

maps: ClarityAbiMap []

- Defined in packages/transactions/src/contract-abi.ts:270

### non_fungible_tokens

non_fungible_tokens: ClarityAbiTypeNonFungibleToken []

- Defined in packages/transactions/src/contract-abi.ts:272

### variables

variables: ClarityAbiVariable []

- Defined in packages/transactions/src/contract-abi.ts:269

Generated using TypeDoc